com.pivotal.gemfirexd.internal.client.net

## Class NetXAConnectionReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Reply
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionReply
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageReply
      - - com.pivotal.gemfirexd.internal.client.net.NetStatementReply
        - - com.pivotal.gemfirexd.internal.client.net.NetResultSetReply
          - - com.pivotal.gemfirexd.internal.client.net.NetXAConnectionReply

All Implemented Interfaces:
  ConnectionReplyInterface, ResultSetReplyInterface, StatementReplyInterface

    public class NetXAConnectionReply
    extends NetResultSetReply

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`agent_, buffer_, count_, DEFAULT_BUFFER_SIZE, dssCorrelationID_, dssIsContinued_, dssLength_, END_OF_COLLECTION, END_OF_SAME_ID_CHAIN, ensuredLengthForDecryption_, longBufferForDecryption_, longCountForDecryption_, longPosForDecryption_, longValueForDecryption_, netAgent_, peekedCodePoint_, peekedLength_, pos_`

### Method Summary

Methods
`protected Hashtable` `parseIndoubtList()`
`protected int` `parseSYNCCTLreply(ConnectionCallbackInterface connection)`
`protected byte` `parseSYNCTYPE()`
`protected int` `parseXARETVAL()`
`protected Xid` `parseXID()`
`protected int` `parseXIDCNT()`
`void` `readLocalXACommit(ConnectionCallbackInterface connection)`
`void` `readLocalXARollback(ConnectionCallbackInterface connection)`
`void` `readLocalXAStart(ConnectionCallbackInterface connection)`
`protected void` `readXaCommit(NetConnection conn)`
`protected int` `readXaEndUnitOfWork(NetConnection conn)`
`protected void` `readXaForget(NetConnection conn)`
`protected int` `readXaPrepare(NetConnection conn)`
`protected void` `readXaRecover(NetConnection conn)`
`protected int` `readXaRollback(NetConnection conn)`
`protected void` `readXaStartUnitOfWork(NetConnection conn)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetResultSetReply

`readCursorClose, readFetch, readPositioningFetch, readScrollableFetch`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatementReply

`copyEXTDTA, parseENDQRYRM, parseEndQuery, parseFastQRYATTSCR, parseFastQRYATTSET, parseFastQRYATTSNS, parseFastQRYATTUPD, parseFastQRYPRCTYP, parseFastSQLCSRHLD, parseOpenQuery, parseOPNQRYRM, parsePKGNAMCSN, parsePKGSNLST, parseQRYATTSCR, parseQRYATTSET, parseQRYATTSNS, parseQRYATTUPD, parseQRYDSC, parseQRYDTA, parseQRYPRCTYP, parseResultSetCursor, parseResultSetProcedure, parseRSLSETRM, parseSQLCINRD, parseSQLCSRHLD, parseSQLDARD, parseSQLDTARD, parseSQLRSLRD, readDescribeInput, readDescribeOutput, readExecute, readExecuteCall, readExecuteImmediate, readOpenQuery, readPrepare, readPrepareDescribeOutput, readSetSpecialRegister, readStatementID`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetPackageReply

`parsePKGNAMCT, parseRDBUPDRM`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionReply

`checkAndGetReceivedFlag, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, doObjnsprmSemantics, doPrccnvrmSemantics, doPrmnsprmSemantics, parseCCSIDDBC, parseCCSIDMBC, parseCCSIDSBC, parseCMDCHKRM, parseCMDNSPRM, parseCODPNT, parseCODPNTDR, parseCommitError, parseCRRTKN, parseEXTNAM, parseFastSVRCOD, parseFastVCS, parseInitialPBSD, parseMGRLVLN, parsePBSD, parsePRCCNVCD, parsePRCCNVRM, parsePRDID, parseRDBNAM, parseSECCHKCD, parseSECMEC, parseSECTKN, parseSQLCARD, parseSRVCLSNM, parseSRVNAM, parseSRVRLSLV, parseSVRCOD, parseSYNERRCD, parseSYNTAXRM, parseTypdefsOrMgrlvlovrs, parseUOWDSP, parseUSRID, parseVALNSPRM, readCommitSubstitute, readLocalCommit, readLocalRollback`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`adjustDdmLength, adjustLengths, endOfSameIdChainData, ensureALayerDataInBuffer, ensureBLayerDataInBuffer, ensureSpaceInBufferForFill, fill, matchCodePoint, parseLengthAndMatchCodePoint, peekCodePoint, peekFastBytes, peekFastLength, peekForNullSqlcagrp, peekLength, peekNumOfColumns, peekTotalColumnCount, popCollectionStack, pushLengthOnCollectionStack, readDSSContinuationHeader, readDssHeader, readLengthAndCodePoint, startSameIdChainParse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readLocalXAStart

    public void readLocalXAStart(ConnectionCallbackInterface connection)
                          throws DisconnectException

Specified by:
  `readLocalXAStart` in interface `ConnectionReplyInterface`
Overrides:
  `readLocalXAStart` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readLocalXACommit

    public void readLocalXACommit(ConnectionCallbackInterface connection)
                           throws DisconnectException

Specified by:
  `readLocalXACommit` in interface `ConnectionReplyInterface`
Overrides:
  `readLocalXACommit` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readLocalXARollback

    public void readLocalXARollback(ConnectionCallbackInterface connection)
                             throws DisconnectException

Specified by:
  `readLocalXARollback` in interface `ConnectionReplyInterface`
Overrides:
  `readLocalXARollback` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readXaStartUnitOfWork

    protected void readXaStartUnitOfWork(NetConnection conn)
                                  throws DisconnectException

Overrides:
  `readXaStartUnitOfWork` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readXaEndUnitOfWork

    protected int readXaEndUnitOfWork(NetConnection conn)
                               throws DisconnectException

Overrides:
  `readXaEndUnitOfWork` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readXaPrepare

    protected int readXaPrepare(NetConnection conn)
                         throws DisconnectException

Overrides:
  `readXaPrepare` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readXaCommit

    protected void readXaCommit(NetConnection conn)
                         throws DisconnectException

Overrides:
  `readXaCommit` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readXaRollback

    protected int readXaRollback(NetConnection conn)
                          throws DisconnectException

Overrides:
  `readXaRollback` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readXaRecover

    protected void readXaRecover(NetConnection conn)
                          throws DisconnectException

Overrides:
  `readXaRecover` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### readXaForget

    protected void readXaForget(NetConnection conn)
                         throws DisconnectException

Overrides:
  `readXaForget` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### parseXARETVAL

    protected int parseXARETVAL()
                         throws DisconnectException

Overrides:
  `parseXARETVAL` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### parseSYNCTYPE

    protected byte parseSYNCTYPE()
                          throws DisconnectException

Overrides:
  `parseSYNCTYPE` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### parseSYNCCTLreply

    protected int parseSYNCCTLreply(ConnectionCallbackInterface connection)
                             throws DisconnectException

Overrides:
  `parseSYNCCTLreply` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### parseXIDCNT

    protected int parseXIDCNT()
                       throws DisconnectException

Overrides:
  `parseXIDCNT` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### parseXID

    protected Xid parseXID()
                    throws DisconnectException

Overrides:
  `parseXID` in class `NetConnectionReply`
Throws:
  `DisconnectException`

#### parseIndoubtList

    protected Hashtable parseIndoubtList()
                                  throws DisconnectException

Overrides:
  `parseIndoubtList` in class `NetConnectionReply`
Throws:
  `DisconnectException`